---
- name: Use a template and a dictionary to generate and apply required switch configuration
  nxos_config:
    lines:
      - "{{ lookup ( 'template', 'sys_required.j2' ) }}"

- name: Apply DoD approved banner
  nxos_banner:
    banner: motd
    text: |
      You are accessing a U.S. Government (USG) Information System (IS) that is provided for USG-authorized use only. By using this IS (which includes any device
      attached to this IS), you consent to the following conditions:

      -The USG routinely intercepts and monitors communications on this IS for purposes including, but not limited to, penetration testing, COMSEC monitoring, network
      operations and defense, personnel misconduct (PM), law enforcement (LE), and
      counterintelligence (CI) investigations.
      -At any time, the USG may inspect and seize data stored on this IS.
      -Communications using, or data stored on, this IS are not private, are subject to routine monitoring, interception, and search, and may be disclosed or used for
      any USG-authorized purpose.
      -This IS includes security measures (e.g., authentication and access controls) to protect USG interests--not for your personal benefit or privacy.
      -Notwithstanding the above, using this IS does not constitute consent to PM, LE or CI investigative searching or monitoring of the content of privileged
      communications, or work product, related to personal representation or services by attorneys, psychotherapists, or clergy, and their assistants. Such
      communications and work product are private and confidential. See User Agreement for details.

- name: Set NTP peer server
  nxos_ntp:
    peer: "{{ nw_sys_req_vars.ntp.peer }}"
    key_id: "{{ nw_sys_req_vars.ntp.key_id }}"
    state: "{{ nw_sys_req_vars.ntp.state }}"
  when: nw_sys_req_vars.role == "CORE"

- name: Set this device as NTP master
  nxos_ntp_options:
    master: true
  when: nw_sys_req_vars.role == "CORE"

- name: Set the MST priority
  nxos_config:
    lines:
      - "spanning-tree mst 0-1 priority {{ nw_sys_req_vars.mst.priority }}"
  when: nw_sys_req_vars.role == "CORE"
